#### Previous topic

scipy.optimize.rosen_hess

#### Next topic

scipy.optimize.curve_fit

# scipy.optimize.rosen_hess_prod

`scipy.optimize.``rosen_hess_prod`(x, p)

  Product of the Hessian matrix of the Rosenbrock function with a vector.

  Parameters:

  x : array_like

  > 1-D array of points at which the Hessian matrix is to be computed.

  p : array_like

  > 1-D array, the vector to be multiplied by the Hessian matrix.

  Returns:

  rosen_hess_prod : ndarray

  > The Hessian matrix of the Rosenbrock function at x multiplied by the vector p.

  See also

  `rosen`, `rosen_der`, `rosen_hess`